Bug 1025263 - Print-Job: server-error-not-accepting-jobs (Destination "brno1-1st-entrance" is not accepting jobs.)
Print-Job: server-error-not-accepting-jobs (Destination "brno1-1st-entrance" ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups-filters (Show other bugs)
19
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 06:45 EDT by Petr Hracek
Modified: 2015-02-17 13:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:58:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example document that is able to trigger the issue (103.11 KB, application/pdf)
2013-10-31 07:55 EDT, Tomáš Hozza
no flags Details
output of the system-config-printer -> troubleshoot (310.75 KB, text/plain)
2013-10-31 07:56 EDT, Tomáš Hozza
no flags Details
successful print on different printer via the same cups server (535.04 KB, text/plain)
2013-10-31 08:55 EDT, Jiri Popelka
no flags Details

  None (edit)
Description Petr Hracek 2013-10-31 06:45:00 EDT
Description of problem:
I have the problem with printing PDF file without extension PDF

Version-Release number of selected component (if applicable):
cups-1.7-0.26.rc1.fc20.x86_64
cups-filters-1.0.40-4.fc20.x86_64
cups-libs-1.7-0.26.rc1.fc20.x86_64
cups-pk-helper-0.2.5-2.fc20.x86_64
cups-filters-libs-1.0.40-4.fc20.x86_64
cups-filesystem-1.7-0.26.rc1.fc20.noarch

phracek@kiasportyw-kiasportyw: ~/Downloads$ file skoleni_ridicu.pdf 
skoleni_ridicu.pdf: PDF document, version 1.5
phracek@kiasportyw-kiasportyw: ~/Downloads$ 

How reproducible:


Steps to Reproduce:
1. Create the PDF file witout extension .pdf
2. print over DocumentViewer
3. On Fedora 20 I see a lot off messages like "Printing <pdf_name> on printer"

Actual results:
File can not be printed

Expected results:
File can be printed

Additional info:
Comment 1 Tomáš Hozza 2013-10-31 07:53:39 EDT
Hi.

I'm experiencing the same issue on my Fedora 19.
Comment 2 Tomáš Hozza 2013-10-31 07:55:08 EDT
Created attachment 817851 [details]
example document that is able to trigger the issue
Comment 3 Tomáš Hozza 2013-10-31 07:56:29 EDT
Created attachment 817853 [details]
output of the system-config-printer -> troubleshoot
Comment 4 Jiri Popelka 2013-10-31 08:55:50 EDT
Created attachment 817891 [details]
successful print on different printer via the same cups server

I can see that too using brno1-1st-entrance printer via (BrowsePoll) cups.brq.redhat.com

Strange that other printers (brno1-2nd-cafe, brno1-3rd-cafe) I've tried are ok.

One more note: printing directly via AppSocket/JetDirect works OK.
Comment 5 Tim Waugh 2013-10-31 11:56:53 EDT
That queue -- brno1-1st-entrance -- is configured on the server not to accept jobs at the moment. In that case, we retry the job until it does accept it. Is that unexpected?

As far as the document itself goes: this is an application/vnd.cups-pdf-banner format file, so isn't this the same as bug #919489?
Comment 6 Jiri Popelka 2013-10-31 12:06:08 EDT
(In reply to Tim Waugh from comment #5)
> That queue -- brno1-1st-entrance -- is configured on the server not to
> accept jobs at the moment.

Right
http://cups.brq.redhat.com:631/printers/brno1-1st-entrance -> 'Rejecting Jobs'

I'll try to fill some ticket.

> In that case, we retry the job until it does
> accept it. Is that unexpected?

That's not unexpected IMHO.
What's unexpected is that the printing dialog (for example in firefox) allows me to print on that printer in the first place. The printing dialog seems to not see the 'rejecting jobs' status of the remote queue.
We tried this in RHEL-6 and the printing dialog there doesn't allow us to print because it knows the queue rejects jobs.

> As far as the document itself goes: this is an
> application/vnd.cups-pdf-banner format file, so isn't this the same as bug
> #919489?

Sure, but that's not a problem here.
Comment 7 Tim Waugh 2013-11-04 07:15:23 EST
What I think is happening here is that the remote queue is not accepting jobs but the local queue (the one that cups-browsed created to point to the remote one) *is* accepting them.

We need to avoid that situation somehow, either by having cups-browsed copy over the printer-is-accepting-jobs state or else by it treating a remote rejecting queue as not existing (and so deleting a local queue if the remote queue starts rejecting jobs).

I'll see what the upstream opinion is.
Comment 9 Fedora End Of Life 2015-01-09 15:24:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 13:58:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.